CMSIS DSP Software Library: Convert 32-bit Integer value

Functions

# Convert 32-bit Integer value
[Support Functions]

## Functions
void | arm_q31_to_float (q31_t *pSrc, float32_t *pDst, uint32_t blockSize)
void | arm_q31_to_q15 (q31_t *pSrc, q15_t *pDst, uint32_t blockSize)
void | arm_q31_to_q7 (q31_t *pSrc, q7_t *pDst, uint32_t blockSize)

## Function Documentation

void arm_q31_to_float | ( | q31_t * | pSrc,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Converts the elements of the Q31 vector to floating-point vector.

Parameters:

  [in] | *pSrc | points to the Q31 input vector
  [out] | *pDst | points to the floating-point output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Description:

The equation used for the conversion process is:

     	pDst[n] = (float32_t) pSrc[n] / 2147483648;   0 <= n < blockSize.

Examples:
  arm_graphic_equalizer_example_q31.c.

Definition at line 63 of file arm_q31_to_float.c.

void arm_q31_to_q15 | ( | q31_t * | pSrc,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Converts the elements of the Q31 vector to Q15 vector.

Parameters:

  [in] | *pSrc | points to the Q31 input vector
  [out] | *pDst | points to the Q15 output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Description:

The equation used for the conversion process is:

     	pDst[n] = (q15_t) pSrc[n] >> 16;   0 <= n < blockSize.

Definition at line 59 of file arm_q31_to_q15.c.

void arm_q31_to_q7 | ( | q31_t * | pSrc,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Converts the elements of the Q31 vector to Q7 vector.

Parameters:

  [in] | *pSrc | points to the Q31 input vector
  [out] | *pDst | points to the Q7 output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Description:

The equation used for the conversion process is:

     	pDst[n] = (q7_t) pSrc[n] >> 24;   0 <= n < blockSize.

Definition at line 59 of file arm_q31_to_q7.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines